package com.ygtx.gxt.service;

import java.util.List;
import com.ygtx.gxt.domain.GxtRepairOrder;

/**
 * 维修工单Service接口
 * 
 * @author ouyj
 * @date 2025-10-30
 */
public interface IGxtRepairOrderService 
{
    /**
     * 查询维修工单
     * 
     * @param id 维修工单主键
     * @return 维修工单
     */
    public GxtRepairOrder selectGxtRepairOrderById(Long id);

    /**
     * 查询维修工单列表
     * 
     * @param gxtRepairOrder 维修工单
     * @return 维修工单集合
     */
    public List<GxtRepairOrder> selectGxtRepairOrderList(GxtRepairOrder gxtRepairOrder);

    /**
     * 新增维修工单
     * 
     * @param gxtRepairOrder 维修工单
     * @return 结果
     */
    public int insertGxtRepairOrder(GxtRepairOrder gxtRepairOrder);

    /**
     * 修改维修工单
     * 
     * @param gxtRepairOrder 维修工单
     * @return 结果
     */
    public int updateGxtRepairOrder(GxtRepairOrder gxtRepairOrder);

    /**
     * 批量删除维修工单
     * 
     * @param ids 需要删除的维修工单主键集合
     * @return 结果
     */
    public int deleteGxtRepairOrderByIds(Long[] ids);

    /**
     * 删除维修工单信息
     * 
     * @param id 维修工单主键
     * @return 结果
     */
    public int deleteGxtRepairOrderById(Long id);
}
